Package it.ernytech.tdlib

## Class TdApi.SetBio

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SetBio

Enclosing class:
  TdApi

    public static class TdApi.SetBio
    extends TdApi.Function

Changes the bio of the current user.

Returns `Ok`

### Field Summary

Fields
`java.lang.String` `bio` The new value of the user bio; 0-70 characters without line feeds.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.

### Constructor Summary

Constructors
`SetBio()` Default constructor.
`SetBio​(java.lang.String bio)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### bio

    public java.lang.String bio

The new value of the user bio; 0-70 characters without line feeds.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SetBio

    public SetBio()

Default constructor.

#### SetBio

    public SetBio​(java.lang.String bio)

Constructor for initialization of all fields.

Parameters:
  `bio` - The new value of the user bio; 0-70 characters without line feeds.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR